/*
 Theme Name:   M-Tech
 Theme URI:    http://ciyashop.potenzaglobalsolutions.com
 Description:  CiyaShop Child Theme
 Author:       TeamWP @Potenza Global Solutions
 Author URI:   http://www.potenzaglobalsolutions.com
 Template:     ciyashop
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         one-column, two-columns, right-sidebar, custom-background, custom-colors, custom-header, custom-menu, editor-style, featured-images, flexible-header, microformats, post-formats, rtl-language-support, sticky-post, threaded-comments, translation-ready, e-commerce, blog, grid-layout
 Text Domain:  m-tech
*/
/* color variables by sidali */
:root {
  --orange: #fd4513;
  --gris: #b2b2b2;
  --body-bg: #f7f7f7;
  --blue: #1b435b;
}

/*my added css by Ilyes */

/* style quick view */

@font-face {
  font-family: 'Pacifico';
  font-style: normal;
  font-weight: 400;
  src: local('Pacifico Regular'), local('Pacifico-Regular'), url(https://fonts.gstatic.com/s/pacifico/v12/FwZY7-Qmy14u9lezJ-6H6MmBp0u-.woff2) format('woff2');
  font-display: swap;
}

.ciyashop-popup-quick-view form.cart {
  display: none !important;
}

.ciyashop-popup-quick-view .out-of-stock {
  border: 1px solid var(--orange) !important;
  background: transparent;
  color: var(--orange) !important;
  border-radius: 6px !important;
  font-size: 12px !important;
  min-width: 100%;
  top: 13px !important;
  /*height: 23px !important;*/
  /*line-height: 0 !important;*/
  text-align: center;
}

/* hide column number option on shop page */
.gridlist-toggle .gridlist-toggle-list {
  display: none !important;
}

.grid-4-column {}

.products-loop li {
  -moz-box-shadow: 0px 0px 1px black !important;
  -webkit-box-shadow: 0px 0px 1px black !important;
  box-shadow: 0px 0px 1px black !important;
  /*border: 1px solid gray !important;*/
}

.woocommerce .widget_price_filter .ui-slider .ui-slider-handle {
  border: 2px solid #fd4513 !important;
}

.button {
  border-radius: 3px !important;
}

/*media queries: */

#svgContainerPreloader {
  height: 100% !important;
  margin: auto !important;
  display: flex;
}

#svgContainerPreloader svg {
  width: 300px !important;
  margin: auto !important;
  height: 120px !important;
}

#svgContainer,
#svgContainerMobile {
  width: 140px;
}

@-moz-document url-prefix() {
  #svgContainer svg {
    width: 140px !important;
    max-height: 100%;
  }
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
  /*lottie aniamation styling*/

  #svgContainerSticky {
    display: none;
  }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
  #svgContainerSticky {
    display: none;
  }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
  /*#svgContainerSticky{
		display: none;
	}*/
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
  /*lottie aniamation styling*/

  /*lottie aniamation styling for sticky header*/
  #svgContainerSticky {
    display: block;
    max-width: 50%;
    max-height: 50%;
  }

  #svgContainerSticky svg {
    max-width: 100%;
    max-height: 70px !important;
  }
}

/* Extra large devices (large laptops and desktops, 1350px and up) */
@media only screen and (min-width: 1600px) {
  /*lottie aniamation styling*/

  /*lottie aniamation styling for sticky header*/
  #svgContainerSticky {
    display: block;
    max-width: 70%;
    max-height: 70%;
  }

  #svgContainerSticky svg {
    max-width: 100%;
    max-height: 85px !important;
  }
}

/*styling front page: */
.pgscore_divider_style3 .pgscore-left-line,
.pgscore_divider_style3 .pgscore-right-line {
  border-color: var(--blue);
}

/* styling search bar in header */
.dgwt-wcas-preloader {
  background-color: transparent !important;
}

.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input {
  border-radius: 50px !important;
}

/*styling waiting list */

.xoo-wl-btn-container.xoo-wl-btc-simple.xoo-wl-btc-inline {
  margin-top: 5px;
  margin-bottom: 20px;
}

/* styling in-stock label*/
p.in-stock {
  display: none !important;
}

/* background color of cart summary */
.woo-tools-action.woo-tools-cart .widget_shopping_cart {
  /*background-color: #f7f7f7 !important;*/
}

.woocommerce .woocommerce-message {
  background: #153a54 !important;
}

/*.woocommerce ul.products .product-inner .product-thumbnail-inner img{
	max-height: 294.667px;
}*/

/* end ilyes*/

/* code by sidali */
body {
  background: var(--body-bg);
}

/* logo */
.site-title {
  padding: 0;
}

.site-title svg {
  max-width: 260px;
  max-height: 100px;
}

/* footer style by sidali */
footer.site-footer {
  background: #113856 url(https://mtech.kyo.ovh/wp-content/uploads/2020/12/bg.jpg) bottom center repeat-x;
  box-shadow: none;
}

footer.site-footer:before {
  content: "";
  display: block;
  width: 100%;
  height: 120px;
  background: #f7f7f7 url(https://mtech.kyo.ovh/wp-content/uploads/2020/12/footer-header.png) bottom center repeat-x;
  border: none;
  background-color: #f7f7f7;
}

.site-footer .site-info {
  border-top: 1px solid #26506e;
	font-size: 12px;
    line-height: 16px;
}

.widget_pgs_social_profiles .social-profiles li i {
  border: 1px dashed #ff4300;
}

h4.widget-title.footer-title:after {
  content: "";
  width: 66px;
  height: 1px;
  display: block;
  border-bottom: 1px dashed var(--orange);
  margin-top: 10px;
}

#text-3 .textwidget {
  font-style: italic;
  line-height: 20px;
}

.footer-widgets .widget.widget_nav_menu .menu li a:before,
.footer-widgets .widget.widget_nav_menu .menu li a:after {
  color: #ff4300;
}

/* product block by sidali */
.woocommerce ul.products li.product-hover-style-standard-quick-shop .onsale,
.woocommerce .product-hover-style-standard-quick-shop span.onsale {
  background: url(https://mtech.kyo.ovh/wp-content/uploads/2020/12/sale.png) top left no-repeat;
  width: 57px;
  height: 63px;
  left: -11px;
  font-size: 16px;
  font-weight: bold;
  line-height: 47px;
}

.woocommerce span.onsale:before,
.woocommerce span.onsale:after {
  display: none;
}

.woocommerce .products .product {
  border-radius: 10px;
  border: 1px solid transparent;
  -webkit-box-shadow: 0 3px 22px rgba(0, 0, 0, 0.07) !important;
  -moz-box-shadow: 0 3px 22px rgba(0, 0, 0, 0.07) !important;
  box-shadow: 0 3px 22px rgba(0, 0, 0, 0.07) !important;
}

.product-inner.element-hovered {
  border-radius: inherit;
}

.woocommerce .products .product:hover {
  border: 1px solid var(--orange);
}

.woocommerce .product .product-thumbnail .product-thumbnail-main {
  border-radius: 10px;
}

.woocommerce ul.products li.product.product-hover-style-standard-quick-shop .price ins .amount {
  color: #fd4513;
  font-size: 23px;
}

.woocommerce ul.products li.product .price del .amount {
  opacity: 1;
  color: var(--gris) !important;
  font-weight: 300 !important;
}

.bulkBlockQty {
  width: 40px;
  height: 36px;
  border-radius: 0 0 10px 10px;
  color: #545454;
  line-height: 40px;
  text-align: center;
  position: relative;
  padding-right: 5px;
  font-size: 20px;
}

.bulkBlockQty i {
  font-size: 16px;
}

span.qty-in-cart {
  font-size: 8px;
  background: var(--orange);
  border-radius: 20px;
  padding: 0px 5px;
  position: absolute;
  /* height: 15px; */
  /* display: block; */
  line-height: initial;
  top: 6px;
  box-shadow: 0px 0px 5px 0px #0000003b;
  color: white;
  left: 22px;
  z-index: 2;
  transition: 0.5s;
}

.bulkBlock {
  display: flex;
  margin: auto;
  width: fit-content;
}

.ciyashop-popup-quick-view .bulkBlock {
  margin-left: 20px;
}

.bulkBlockPrice {
  border: 1px solid #e7e7e7;
  border-radius: 0 0 10px 10px;
  margin-left: -12px;
  height: 39px;
  padding-left: 20px;
  padding-right: 20px;
  background: #f7f7f7;
  z-index: 1;
  border-top: 0;
  min-width: 120px;
}

.bulkBlockPrice span {
  width: auto;
  display: block;
  font-size: 10px;
  line-height: initial;
  text-align: center;
}

.bulkBlockPrice .total-price-in-cart {
  font-size: 1.2rem;
  font-weight: 600;
  line-height: 18px;
  color: var(--blue);
}

.div-of-in-cart {
  margin: 0px 0.5px 0;
  border-top: 1px solid #e7e7e7;
  padding: 0;
  text-align: center;
  display: flex;
}

.woocommerce .product-hover-style-standard-quick-shop .product-info .product-name {
  /* text-align: left; */
  min-height: 77px;
  height: 77px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.woocommerce ul.products li.product-hover-style-standard-quick-shop .button,
.woocommerce ul.products li.product .button {
  padding: 0 30px;
  border-radius: 6px !important;
  box-shadow: 0 0 5px #fd45134f;
  margin-top: 10px;
  width: 100%;
  max-width: 180px;
}

.woocommerce ul.products .product-inner .out-of-stock,
.woocommerce.single-product div.summary .out-of-stock {
  border: 1px solid var(--orange);
  background: transparent;
  color: var(--orange);
  border-radius: 6px;
  font-size: 12px;
  min-width: auto;
  top: 13px;
  height: 23px;
}

/* center verticaly out of stock label on product summary */
.woocommerce.single-product div.summary .out-of-stock {
  line-height: 0px;
}

.woocommerce .products .product-thumbnail {
  padding: 10px 0px 0;
  border-radius: 10px;
}

.bulk-add-to-cart.bulk-add-to-cart-plain br {
  display: none;
}

.woocommerce .product-hover-style-standard-quick-shop .product-actions {
  opacity: 1;
  visibility: visible;
  right: 12px;
  top: 7px;
}

.woocommerce .product-hover-style-standard-quick-shop:hover .product-actions {
  right: 12;
}

.woocommerce .product-hover-style-standard-quick-shop .product-actions .product-actions-inner {
  box-shadow: none;
  background: transparent;
}

.woocommerce .product-hover-style-standard-quick-shop .product-actions .product-actions-inner>.product-action {
  float: right;
  margin-left: 5px;
}

.woocommerce .product-hover-style-standard-quick-shop .product-actions .product-actions-inner>.product-action:after {
  display: none;
}

.woocommerce .product-hover-style-standard-quick-shop .product-actions .alt,
.woocommerce .product-hover-style-standard-quick-shop .product-actions a {
  width: 35px;
  height: 35px;
  border: 1px solid var(--gris);
  line-height: 20px;
  border-radius: 50%;
}

.woocommerce .product-hover-style-standard-quick-shop .product-actions .exists a {
  color: white;
  background: var(--orange);
  border-color: var(--orange);
  box-shadow: 0 0 8px #fd45135c;
}

.woocommerce .products .product-thumbnail-inner {
  padding: 0 5px;
}

.ciyashop-popup-quick-view {
  border-radius: 10px;
  padding: 50px;
}

.ciyashop-popup-quick-view .social-profiles {
  border-bottom: none;
}

.ciyashop-popup-quick-view .basel-scroll,
.ciyashop-popup-quick-view .summary-inner {
  /*overflow: hidden;*/
  overflow-x: hidden;
}

.quantity-button.quantity-down {
  border-radius: 6px 0 0 6px;
  width: 36px;
}

.quantity-button.quantity-up {
  border-radius: 0 6px 6px 0;
  width: 36px;
}

.quantity input {
  width: 100px !important;
}

.product-info .xoo-wl-notices {
  width: 100%;
}

.product-info .xoo-wl-notice-success {
  color: #189633;
  border-color: #d6e9c6;
  padding: 15px;
  border: 1px solid #f2f2f2 !important;
  line-height: 19px;
  font-size: 13px;
  background-color: white !important;
}

/* theme cart total qty style */
p.cart-empty {
  background: none !important;
}

.cart-count {
  width: auto !important;
  padding-left: 5px;
  padding-right: 5px;
}

/*bulk add to carte*/
.bulk-add-to-cart-now {
  border-radius: 10px;
  background: var(--orange);
  box-shadow: 0 0px 10px rgb(0 0 0 / 13%);
  font-weight: 600;
  padding: 0 20px;
  max-width: inherit;
  transition: 0.3s;
  min-height: 42px;
  min-width: 80px;
}

.bulk-add-to-cart-tool.bulk-add-to-cart-bottom-right {
  display: flex;
  flex-direction: column;
  box-shadow: 0 3px 22px rgba(0, 0, 0, 0.07);
  border: 1px solid var(--orange);
  right: -180px;
  border-right: 0;
  border-radius: 10px 0 0 10px;
  padding: 15px;
  top: calc(50vh - 57px);
  max-height: 114px;
}

.bulk-add-to-cart-cart a:hover {
  background-image: url(../../plugins/bulk-add-to-cart-xforwc/assets/images/cart.svg);
}

.bulk-add-to-cart-cart {
  padding: 3px;
  background: var(--blue);
  border-radius: 50%;
  box-shadow: 0 0px 15px rgb(0 0 0 / 32%);
  margin-top: -53px;
  margin-left: -196px;
  margin-left: -218px;
  position: relative;
  top: 69px;
}

.bulk-add-to-cart-total-price {
  background: #f7f7f7;
  width: 100%;
  text-align: center;
  border: 1px solid #e5e5e5;
  border-radius: 30px;
  font-weight: 600;
  color: var(--blue);
  font-size: 1.3rem;
  padding: 5px 5px 3px 5px;
  margin: 10px 0;
  min-width: 130px;
}

.bulk-add-to-cart-cart a .bulk-add-to-cart-cart-total {
  background-color: var(--orange);
  left: -4px;
  top: -6px;
  transition: 0.5s;
  width: fit-content !important;
  width: -moz-fit-content !important;
  padding: 0 5px !important;
  border-radius: 50px;
}

/*animation*/
.ajoutee {
  opacity: 0 !important;
  transform: scale(1.8);
  transition: 0.5s;
}

.bulk-add-to-cart-tooltip {
  z-index: 9999;
}

/* notify me email */
.xoo-aff-group {
  margin-bottom: 10px;
}

.xoo-aff-group input[type="email"] {
  height: 40px;
  margin-left: -20px;
  padding-left: 35px;
  border-radius: 0 20px 20px 0;
  border: 1px solid var(--orange);
  margin-top: 2px;
  color: var(--blue);
  box-shadow: none;
}

.xoo-aff-input-group .xoo-aff-input-icon {
  width: 45px;
  height: 45px;
  border: 1px solid var(--blue);
  line-height: 20px;
  border-radius: 50%;
  color: white;
  background: var(--blue);
  box-shadow: 0 0 8px #fd45135c;
  padding: 0 !important;
  z-index: 3;
  min-width: 45px;
}

.xoo-aff-group input[type="email"]::placeholder {
  color: var(--blue);
  opacity: 1;
  /* Firefox */
}

.xoo-aff-group input[type="email"]:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: var(--blue);
}

.xoo-aff-group input[type="email"]::-ms-input-placeholder {
  /* Microsoft Edge */
  color: var(--blue);
}

#mega-menu-wrap-primary #mega-menu-primary>li.mega-menu-megamenu>ul.mega-sub-menu>li.mega-menu-item>a.mega-menu-link:hover,
#mega-menu-wrap-primary #mega-menu-primary>li.mega-menu-megamenu>ul.mega-sub-menu li.mega-menu-column>ul.mega-sub-menu>li.mega-menu-item>a.mega-menu-link:hover,
#mega-menu-wrap-primary #mega-menu-primary>li.mega-menu-megamenu>ul.mega-sub-menu>li.mega-menu-item>a.mega-menu-link:focus,
#mega-menu-wrap-primary #mega-menu-primary>li.mega-menu-megamenu>ul.mega-sub-menu li.mega-menu-column>ul.mega-sub-menu>li.mega-menu-item>a.mega-menu-link:focus {
  background: transparent;
}

/* hide product filters checkboxes 
input.woof_checkbox_term:disabled + label.woof_checkbox_label, input.woof_checkbox_term:disabled {
   display: none !important;
} need  to replace this with jquery.


div.woof_container_inner h4{
	display: none;
}

/* hide column number option on shop page */
.gridlist-toggle .gridlist-toggle-list,
.gridlist-toggle .grid-4-column {
  display: none !important;
}

/* hide category on products listing */
.woocommerce .products .product-info .ciyashop-product-category,
.woocommerce .products .product-info .ciyashop-product-category {
  display: none;
}

.woocommerce ul.products li.product a img {
  margin: 25px 0px 1em;
}

/* hide parent filters and their checkboxes 
.woof_childs_list_li ul, .woof_childs_list_li > :first-child{
	display: none;
}


li.woof_childs_list_li{
	font-weight: bold;
	font-size: 1.2em;
	color: var(--orange);
}

ul.woof_childs_list li{
	font-weight: normal;
	font-size: 0.8em;
	color: #777;
}
*/

/* make colors in filter circular */
.woof_color_term {
  border-radius: 80px !important;
}

.woof_color_term:hover {
  border-color: #444;
  border-style: dotted;
}

.woof_color_term {
  width: 26px !important;
  height: 26px !important;
}

.woof_block_html_items ul {
  padding: 0;
}

.woof_block_html_items ul label {
  margin-bottom: 0;
  padding: 0;
  font-size: 13px;
}

.woof_list_checkbox li div {
  margin: 0;
}

/*
.pgs_widgets_shop-filters .woof_container,
.pgs_widgets_shop-filters .woof_submit_search_form_container,
.shop-sidebar-widgets .woof_container_brand,
.shop-sidebar-widgets .woof_container_pa_color{
    display: none;
}
.pgs_widgets_shop-filters .woof_container_brand,
.pgs_widgets_shop-filters .woof_container_pa_color,
.shop-sidebar-widgets .woof-slide-content .woof_container_brand,
.shop-sidebar-widgets .woof-slide-content .woof_container_pa_color{
    display: block;
}
*/

#text-4 {
  flex: 1;
  max-width: 100% !important;
}

.pgs_widgets_shop-filters .WOOF_Widget {
  max-width: 100%;
  flex: 100;
}

@media only screen and (max-width: 991px) {
  .woocommerce .sidebar {
    z-index: 19;
  }
#site-navigation-sticky-mobile .slicknav_nav ul.primary-menu-mobile > li > a a {
   font-weight: 600;
}
}

.woof-slide-out-div {
  border-radius: 20px 0 0 20px;
  box-shadow: 0 0 10px #0000003d;
  border-color: #fd4513 !important;
}

span.woof-handle {
  bottom: 60px !important;
  top: initial !important;
}

.woocommerce-info {
  background: var(--blue) !important;
}

.woof_container_brand .woof_image_term {
  border: none !important;
  filter: grayscale(100%) !important;
  transition: 0.2s !important;
}

.woof_container_brand .woof_image_term:hover {
  border: none !important;
  filter: grayscale(0%) !important;
  transition: 0.2s !important;
}

a.woof_childs_list_opener {
  float: right;
}

#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children>a.mega-menu-link>span.mega-indicator:after {
  margin: 0 !important;
}

.header-element-item .search_form-inner input.form-control {
  min-width: 230px;
  border-radius: 100px;
}

#mega-menu-wrap-primary #mega-menu-primary>li.mega-menu-item>a.mega-menu-link {
  text-transform: capitalize;
}

header.header-style-custom .header-element-item .woo-tools-cart .cart-link .count,
header.header-style-custom .header-element-item .woo-tools-compare .ciyashop-compare-count,
header.header-style-custom .header-element-item .woo-tools-wishlist .ciyashop-wishlist-count {
  margin-top: 0px;
}

/* hide reset mini button on filter */
.woof_radio_term_reset_visible {
  display: none !important;
}

/* design filter device type icons */

.woof_container_inner_devicetype .checkbox.woof_image_term {
  border: none !important;
  width: 40px !important;
  height: 40px !important;
}

.woof_container_inner_devicetype .checkbox.woof_image_term:hover {
  border: 1px solid #e2e6e7 !important;
}

/* design of brands images */

.woof_container_brand .woof_image_term {
  height: 35px !important;
  width: 70px !important;
}

/* columns width in shop */
/*===================================*/
/* Products Column Setting */
/*===================================*/
ul.products-loop-column-2 li {
  width: 48% !important;
  margin-right: 2% !important;
  margin-bottom: 30px;
}

.woocommerce .products.products-loop-column-2 li.last {
  margin-right: 0;
}

.woocommerce .products.products-loop-column-3>.product {
  width: 31.9%;
  margin-right: 2%;
  margin-bottom: 30px;
}

.woocommerce .products.products-loop-column-3>.product.last {
  margin-right: 0;
}

/*filter color dropdown list*/
.woof_container_color .woof_block_html_items.woof_closed_block {
  position: absolute;
  z-index: 9999;
  background: white;
  max-width: 300px;
  padding: 20px;
  border-radius: 10px;
  -webkit-box-shadow: 0 3px 22px rgba(0, 0, 0, 0.07) !important;
  -moz-box-shadow: 0 3px 22px rgba(0, 0, 0, 0.07) !important;
  box-shadow: 0 3px 22px rgba(0, 0, 0, 0.07) !important;
}

.woof_container_color .woof_block_html_items.woof_closed_block ul {
  display: flex;
  flex-wrap: wrap;
}

.woof_container_color .woof_block_html_items.woof_closed_block ul li {
  min-width: 120px;
  line-height: 12px;
}

.woof_container_color h4 {
  background: #fff;
  border: 1px solid #e8e8e8;
  padding: 2px 10px;
  color: #777;
  font-weight: normal;
  font-size: 15px;
  min-width: 300px;
  position: relative;
}

.woof_container_color h4 a {
  position: absolute;
  width: 100%;
  float: none;
  left: 0;
  text-align: right;
  padding-right: 10px;
}

.loop-header-tools-wrapper .col {
  display: flex;
  gap: 5px;
  justify-content: end;
}

.ciyashop-clear-filters {
  border: 1px solid #e8e8e8;
  padding: 5px 10px;
  height: 36px;
  background: #fff;
}

.ciyashop-clear-filters i {
  margin-right: 5px;
}

.woof_container_color h4 a:after {
  content: "";
  border-color: #888 transparent transparent transparent;
  border-style: solid;
  border-width: 5px 4px 0 4px;
  height: 0;
  right: 10px;
  margin-left: -4px;
  margin-top: -2px;
  position: absolute;
  top: 50%;
  width: 0;
}

/*shop page style */

/*.cat-picker{
  width: 350px; 
  position: absolute; 
  top: 200px;
  left: 0;
  overflow: auto; 
  height: 100%;
}

.cat-picker-title{
	width: 350px; 
  position: absolute; 
  top: 150px;
  left: 0;
}

li.js-filter-item{
	list-style-type: none;
}

div.produits{
    width: 650px;
    margin-left: 400px;
}

.title-chboukla{
    margin-left: 200px;
}
*/

.js-filter-item {
  list-style-type: none;
}

.device-terms,
.device-series-terms,
.category-terms {
  max-height: 600px;
  height: 100%;
  overflow-x: auto;
}

/* start loader style in shop for lazy loading */
.lds-ellipsis {
  display: inline-block;
  position: relative;
  left: 46%;
  width: 100%;
  height: 80px;
}

.lds-ellipsis div {
  position: absolute;
  top: 33px;
  width: 13px;
  height: 13px;
  border-radius: 50%;
  background: #fd4513;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.lds-ellipsis div:nth-child(1) {
  left: 8px;
  animation: lds-ellipsis1 0.6s infinite;
}

.lds-ellipsis div:nth-child(2) {
  left: 8px;
  animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(3) {
  left: 32px;
  animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(4) {
  left: 56px;
  animation: lds-ellipsis3 0.6s infinite;
}

@keyframes lds-ellipsis1 {
  0% {
    transform: scale(0);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes lds-ellipsis3 {
  0% {
    transform: scale(1);
  }

  100% {
    transform: scale(0);
  }
}

@keyframes lds-ellipsis2 {
  0% {
    transform: translate(0, 0);
  }

  100% {
    transform: translate(24px, 0);
  }
}

/* second loader for products */

@keyframes ldio-wnf9978dfs-r {

  0%,
  100% {
    animation-timing-function: cubic-bezier(0.2 0 0.8 0.8);
  }

  50% {
    animation-timing-function: cubic-bezier(0.2 0.2 0.8 1);
  }

  0% {
    transform: rotate(0deg);
  }

  50% {
    transform: rotate(180deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes ldio-wnf9978dfs-s {

  0%,
  100% {
    animation-timing-function: cubic-bezier(0.2 0 0.8 0.8);
  }

  50% {
    animation-timing-function: cubic-bezier(0.2 0.2 0.8 1);
  }

  0% {
    transform: translate(-21px, -21px) scale(0.2);
  }

  50% {
    transform: translate(-21px, -21px) scale(1);
  }

  100% {
    transform: translate(-21px, -21px) scale(0.2);
  }
}

.ldio-wnf9978dfs>div {
  transform: translate(0px, -15px);
}

.ldio-wnf9978dfs>div>div {
  animation: ldio-wnf9978dfs-r 1s linear infinite;
  transform-origin: center;
}

.ldio-wnf9978dfs>div>div>div {
  position: absolute;
}

.ldio-wnf9978dfs>div>div>div>div {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background: #fd4513;
  animation: ldio-wnf9978dfs-s 1s linear infinite;
  opacity: 0.9;
}

.ldio-wnf9978dfs>div>div:last-child {
  animation-delay: -0.5s;
}

.ldio-wnf9978dfs>div>div:last-child>div>div {
  animation-delay: -0.5s;
  background: #1b435b;
  opacity: 0.9;
}

.loadingio-spinner-interwind-2z78p1jukzk {
  width: 100%;
  justify-content: center;
  align-items: center;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow: hidden;
  background: none;
  position: fixed;
  z-index: 9999;
}

.ldio-wnf9978dfs {
  width: 100%;
  height: 100%;
  position: absolute;
  display: flex;
  justify-content: center;
  transform: translateZ(0) scale(1);
  backface-visibility: hidden;
  transform-origin: 0 0;
  /* see note above */
  padding-top: 120px;
}

.ldio-wnf9978dfs div {
  box-sizing: content-box;
}

/* generated by https://loading.io/ */

/* end of loader style in shop for lazy loading */

/* Filter style */
.mtech-cat-inner {
  position: relative;
}

.mtech-cat-inner-backdrop {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  display: block;
  background-color: rgba(255, 255, 255, 0);
  z-index: 2;
}

.taxonomies-filter-list {
  max-height: 480px;
  overflow-y: auto;
  padding-right: 18px;
}

.taxonomies-filter-list .taxonomies-filter-image-list {
  list-style: none;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: start;
  flex-wrap: nowrap;
  position: relative;
}

.taxonomies-filter-list .taxonomies-filter-image-list .image-item {
  cursor: pointer;
  width: 45px;
  height: 45px;
  padding: 4px;
  margin-top: 0px;
  margin-right: 2px;
  border: 0.5px solid transparent;
  border-radius: 2px;
  position: relative;
  overflow: visible;
}

.taxonomies-filter-list .taxonomies-filter-image-list .image-item:hover,
.taxonomies-filter-list .taxonomies-filter-image-list .active {
  border: 0.5px solid rgb(203, 203, 203);
}

.taxonomies-filter-list .taxonomies-filter-image-list .image-item img {
  width: auto;
  height: 35px;
}

.taxonomies-filter-list .taxonomies-filter-image-list .image-item .device-type-label {
  position: absolute;
  top: -28px;
  left: 50%;
  height: 18px;
  transform-origin: center;
  transform: translateX(-50%);
  padding: 4px;
  border-radius: 4px;
  background-color: #6c757d;
  color: #fff;
  font-size: 9px;
  margin: 0 !important;
  display: inline-block;
  line-height: 8px;
  visibility: hidden;
}

.taxonomies-filter-list .taxonomies-filter-image-list .image-item:hover .device-type-label {
  visibility: visible;
}

.mtech-form-check {
  margin-bottom: 8px;
  display: flex;
  padding-left: 0;
  padding-right: 20px;
  column-gap: 6px;
  align-items: center;
}

.mtech-form-check .mtech-filter-label {
  font-size: 14px !important;
  cursor: pointer;
}

.mtech-form-check .mtech-filter-label .term-count {
  font-size: 10px !important;
  position: absolute;
  top: 12px;
  padding: 2px;
}

.filter-collapse-btn {
  display: block;
  color: red;
  cursor: pointer;
  float: right;
  font-size: 18px;
  font-weight: bold;
  position: absolute;
  right: 0;
}

.filter-collapse-btn.collapsed::before {
  display: inline-block;
  content: "+"
}

.filter-collapse-btn::before {
  display: inline-block;
  content: "-"
}

.mtech-filter-collapse {
  background-color: transparent !important;
}

.mtech-shop-sidebar-top {
  margin-top: 16px;
  margin-bottom: 16px;
  padding: 8px;
}

.remove-filter-badge {
  cursor: pointer;
  padding: 2px;
  background: #fff;
  color: red;
  width: 15px;
  height: 15px;
}

.brand-taxonomies-filter-list {
  height: auto;
  width: 100%;
}

.topcats-taxonomies-filter-list {
  height: auto;
  width: 100%;
}

.taxonomies-filter-brand-list {
  list-style: none;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  row-gap: 8px;
  padding: 16px;
  margin-bottom: 16px;
}

.taxonomies-filter-brand-list .brand-item {
  padding: 4px 8px;
  padding-left: 4px;
  padding-right: 4px;
  margin-left: 4px;
  margin-right: 4px;
  border: 0.5px solid rgb(203, 203, 203);
  /* border-radius: 6px; */
  cursor: pointer;
  filter: grayscale(100%);
  opacity: 0.6;
  transition: all .3s;
}

.brand-taxonomies-filter-list .taxonomies-filter-brand-list .brand-item:hover,
.brand-taxonomies-filter-list .taxonomies-filter-brand-list .active {
  border: 0.5px solid #fd4513;
  box-shadow: 0 0 10px #0000001f;
  filter: grayscale(0%);
  opacity: 1;
}

.taxonomies-filter-topcats-list {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  row-gap: 8px;
  padding: 8px 16px 16px 0px;
  margin-bottom: 16px;
}

.taxonomies-filter-topcats-list .topcats-item {
  padding: 4px 12px;
  margin-right: 8px;
  border: 0.5px solid rgb(203, 203, 203);
  border-radius: 4px;
  cursor: pointer;
  filter: grayscale(100%);
  /* opacity: 0.6; */
  transition: all .3s;
}

.topcats-taxonomies-filter-list .taxonomies-filter-topcats-list .topcats-item:hover,
.topcats-taxonomies-filter-list .taxonomies-filter-topcats-list .active {
  border: 0.5px solid #fd4513;
  box-shadow: 0 0 10px #0000001f;
  filter: grayscale(0%);
  opacity: 1;
}

.taxonomies-filter-brand-list .brand-item img {
  width: auto;
  height: 35px;
}

/* Mobile filter block */
.mobile-filter-mobile {
  position: fixed;
  bottom: 74px;
  left: 24px;
  background-color: #fd4513;
  z-index: 20;
  border-radius: 6px;
  color: white;
  font-weight: 700;
}

.mobile-filter-apply {
  position: fixed;
  bottom: 24px;
  /* left: 4px; */
  background-color: #fd4513;
  z-index: 20;
  border-radius: 6px;
  color: white;
  margin-left: 8px;
  font-weight: 700;
}

.mobile-filter-apply[disabled=disabled] {
  background-color: rgb(162, 137, 137);
  border: 1px solid black;
}

.mtech-shop-sidebar-filter {
  position: relative;
  transition: all .3s linear;
}

@media (max-width: 992px) {
  .mtech-shop-sidebar-filter {
    position: fixed;
    overflow-y: scroll;
    top: 0;
    left: 0;
    bottom: 0;
    width: 320px;
    padding: 76px 12px 152px 16px;

    z-index: 30;
    /* opacity: .5; */
    background-color: #fff;
    transform-origin: center;
    transform: translateX(-100%);
  }

  .mtech-shop-sidebar-filter.show {
    transform: translateX(0%);
  }
}

.filtered-tax-badge {
  color: #777;
  border: 1px solid #fd4513;
  font-weight: 300;
  background: transparent;
}

.filtered-tax-badge .remove-filter-badge {
  color: #fd4513;
  font-size: 13px;
  background: transparent;
}

/*debrief amine*/
.woocommerce .woocommerce-error,
.woocommerce .woocommerce-info,
.woocommerce .woocommerce-message {
  border-radius: 6px;
}

.woocommerce .woocommerce-error {
  background: #fd4513;
}

.woocommerce-form-coupon-toggle .woocommerce-info,
.woocommerce-form-coupon-toggle .woocommerce-info:before,
.woocommerce-form-coupon-toggle .woocommerce-info a {
  color: #fff !important;
  opacity: 1 !important;
}

.woocommerce-info a.button {
  position: relative !important;
  right: 0 !important;
  top: 0 !important;
  margin-left: 20px;
}

.woocommerce .woocommerce-checkout-review-order-table,
.woocommerce-cart .cart-collaterals .cart_totals table {
  background: transparent !important;
}

/* override some style DEBRIEF */
.pswp__caption {
  display: none !important;
}

/* Product alignement */
.product-inner.element-hovered {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.product-inner.element-hovered .product-info {
  margin-top: auto;
}

.xoo-wl-btn-container.xoo-wl-btc-simple.xoo-wl-btc-inline {
  margin-bottom: 0px !important;
}

#mega-menu-wrap-primary #mega-menu-primary>li.mega-menu-item>a.mega-menu-link {
  padding: 0px 20px 0px 0px;
}

/*filter checkbox*/
.icheckbox_flat-red,
.iradio_flat-red {
  background: url(../../uploads/2021/04/checkboxs.png) no-repeat !important;
  background-position: 0 0 !important;
  background-size: auto 20px !important;
  width: 24px !important;
}

.icheckbox_flat-red.checked {
  background-position: -25px 0 !important;
}

.collapse .icheckbox_flat-red,
.iradio_flat-red {
  background-position: -51px 0 !important;
}

.collapse .icheckbox_flat-red.checked {
  background-position: -76px 0 !important;
}

.icheckbox_flat-red.soft-checked {
  background-position: -129px 0 !important;
}

.woocommerce-checkout .woocommerce .woocommerce-info {
  color: white;
}

/* filter reset button */

#reset-mtech-filter {
  background: transparent !important;
  border: 1px solid #fd4513;
  color: #153a54;
  display: none;
}

#reset-mtech-filter:hover {
  background: #153a54 !important;
  border: none;
  color: #fff;
}

/* home page*/
#home-flash-sales {
  display: none;
}

/*cookies */
.ciyashop-cookies-info {
  display: none;
}

.woocommerce-MyAccount-navigation ul li.woocommerce-MyAccount-navigation-link--mtech-request-exchange a:before {
  content: '\f362';
}

/* methode de payment icons */
.woocommerce-MyAccount-navigation>ul li.woocommerce-MyAccount-navigation-link--payment-methods a::before {
  content: "\f53d";
}

.search_form-wrap {
  position: relative;
  width: 320px;
}

.search-price {
  color: #fd4513;
  font-size: 15px;
  margin-left: 10px
}

.search-wrap-focused {
  /* position: absolute; */
  /* left: 140px; */
  /* top: 18px; */
  width: 95%;
  background: #fff;
  transition: width .7s cubic-bezier(.77, 0, .18, 1);
  z-index: 9999;
}

/* Added by Ayyur for mini cart */
.mtech-mini-cart-plink {
  display: inline !important;
  width: 204px;
  max-height: 120px !important;
  white-space: initial !important;
  line-height: 100%;
}

.mtech-mini-cart-plink p {
  width: 140px;
  display: inline;
}

.woocommerce ul.products li.product.product-hover-style-standard-quick-shop .price .amount,
.woocommerce ul.products li.product .price .amount {
  color: var(--orange) !important;
  font-size: 20px;
  font-weight: 900;
}

.secondary-button {
  background-color: var(--blue) !important;
}

#back-to-top .top {
  right: auto !important;
  left: 40px;
}

.add_to_cart_button {
  background-color: var(--blue) !important;
}

.add_to_cart_button:hover {
  background-color: var(--orange) !important;
}

/* Cart both custom styling */
.woo-tools-cart.woo-tools-action.cart_both {
  background-color: var(--orange);
  border-radius: 10px;
  color: white;
}

.cart.woo-tools-cart.woo-tools-action.cart_both {
  padding: 10px 10px 10px 70px;
}

.header-style-custom .header-element-item .cart_both:before {
  left: 60px !important;
  top: 50% !important;
  transform-origin: center;
  transform: translateY(-50%);
}

.header-style-custom .header-element-item .cart_both .cart-link {
  left: 10px !important;
  top: 56% !important;
  transform-origin: center;
  transform: translateY(-50%);
  color: white;
}

.taxonomies-filter-drpwn-item {
  cursor: pointer;
}

.taxonomies-filter-drpwn-item:hover,
.taxonomies-filter-drpwn-item.active {
  cursor: pointer;
  background-color: var(--orange);
  color: white !important;
}

.taxonomies-filter-drpwn-item .selected {
  display: none;
}

.taxonomies-filter-drpwn-item .unselected {
  display: inline-block;
}

.taxonomies-filter-drpwn-item.active .selected {
  display: inline-block !important;
}

.taxonomies-filter-drpwn-item.active .unselected {
  display: none !important;
}

.reset-action-mtech-filter {
  background: transparent;
  border: 1px solid #fd4513;
  color: #153a54;
  display: none;
  line-height: 38px;
  padding: 0 18px;
  text-transform: uppercase;
  font-weight: 400;
  font-size: 14px;
  cursor: pointer;
  font-family: inherit;
  position: relative;
  text-decoration: none;
  overflow: visible;
  left: auto;
  box-shadow: none;
  text-shadow: none;
  border-radius: 8px;
}

.reset-action-mtech-filter:hover {
  background: #153a54 !important;
  border: none;
  color: #fff !important;
}

.topcats-taxonomies-filter-list .dropdown-toggle {
  border: 1px solid var(--blue);
  background-color: transparent;
  color: var(--blue);
}

.topcats-taxonomies-filter-list .dropdown-toggle.active {
  border: none;
  background-color: var(--orange) !important;
  color: white;
}

.search_form-search-button:before {
  border-radius: calc(var(--mtech-msp-input-h) / 2);
  background-color: var(--orange);
  color: white !important;
}

.logged-in .or_create_account_link {
  display: none;
}

/* mailchimp form */
#mc_embed_signup .button {
  background-color: #ff4300 !important;
}

#mc_embed_signup .button:hover {
  background-color: #113856 !important;
}

.woocommerce .products .product-info .product-name a {
  color: #323232 !important;
  font-size: 14px;
  line-height: 1.4;
}

@media only screen and (max-width: 600px) {
	.crisp-client a.cc-dc5e {
		transform: translateY(-65px);
	}
	.bulk-add-to-cart-tool {
		display: none !important;
	}
}

/* Hide view cart button on product list on home page */
.added_to_cart.wc-forward {
  display: none !important;
}

.add_to_cart_button.added:after {
  display: none !important;
}

/* Change style to optimize two column product linsting in mobile */
@media only screen and (max-width: 760px) {
  .woocommerce .products .product-info .product-name a {
    font-size: 11px !important;
  }

  .woocommerce ul.products li.product.product-hover-style-standard-quick-shop .price .amount,
  .woocommerce ul.products li.product .price .amount {
    font-size: 16px !important;
  }

  .bulk-add-to-cart .inline-group {
    padding: 0 !important;
  }

  .bulk-add-to-cart .inline-group .quantity {
    padding: 0 !important;
  }

  .woocommerce ul.products li.product-hover-style-standard-quick-shop .button,
  .woocommerce ul.products li.product .button {
    padding: 0 !important;
  }
	
	.woocommerce-info a.button {
		margin-left: 0;
	}
	.woocommerce-info {
		justify-content: center!important;
	}
	.woocommerce-checkout .woocommerce .woocommerce-info {
    	padding-left: 0;
	}
}


/*  Checkout css */
.woocommerce-billing-fields__field-wrapper,
.woocommerce-shipping-fields__field-wrapper {
  border: 1px solid #e5e5e5;
  padding: 15px 30px 0 30px;
  position: relative;
}

tr.woocommerce-shipping-totals.shipping table {
  width: 100%;
  text-align: left;
}

tr.woocommerce-shipping-totals.shipping table li {
  width: 100%;
  text-align: left;
}

tr.woocommerce-shipping-totals.shipping table li p {
  margin-top: 8px;
  overflow-wrap: break-word;
  background: #f3f3f3;
  border-radius: 3px;
  padding: 1em;
}

.woocommerce-cart .woocommerce .cart-collaterals .cart_totals table .shipping td {
  margin-left: 0 !important;
}

.site-header .search-button-wrap .search-button:hover {
    color: #fd4513 !important;
}